export CARCH="x86_64"
export CHOST="x86_64-unknown-linux-gnu"

#export CFLAGS="-O2 -pipe"
export CFLAGS="-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2"
export CXXFLAGS="${CFLAGS}"



#-- Compiler and Linker Flags
# -march (or -mcpu) builds exclusively for an architecture
# -mtune optimizes for an architecture, but builds for whole processor family

export LDFLAGS="-Wl,-O1,--sort-common,--as-needed,-z,relro,--hash-style=gnu"

case "`uname -m`" in
        "x86_64"|"")
		export MAKEFLAGS="-j5"
                ;;
        "i686")
		export MAKEFLAGS="-j2"
                export CFLAGS="${CFLAGS} -m32"
                export CXXFLAGS="${CXXFLAGS} -m32"
                export LDFLAGS="${LDFLAGS} -m32"
                ;;
        *)
                echo "bilinmeyen mimari..çıkılıyor."
                exit 1
                ;;
esac
DERLEME_SANTIYE="/tmp/work"
DERLEME_KAYNAKDIZIN="/sources"
PKGMK_SYNC_FILES="yok"
PKT_SIKISTIRMA="evet"
DOSYAIZLEME_YOKSAY="evet"
PKGMK_UPDATE_INDEX="evet"
PKGMK_KEEP_SOURCES="evet"
PKGMK_CLEAN="yok"
PAKET_GRUPLAR=""
PAKET_LOKAL="tr"
KOLEKSIYON_YOKSAY="yok"
SURUM_YOKSAY="yok"
SHASUM_KONTROL_YAP="evet"
confopt="--prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --bindir=/usr/bin --sbindir=/usr/bin --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share"
